Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
C Struct Reference

## Data Fields
unsigned long long | d
unsigned char | e
A | a
B | b
long | d
unsigned long | d

## Detailed Description

Definition at line 23 of file nested_struct10.c.

## Field Documentation

## ◆ a

A C::a

Definition at line 24 of file nested_struct11.c.

## ◆ b

B C::b

Definition at line 25 of file nested_struct11.c.

## ◆ d [1/3]

long C::d

Definition at line 23 of file nested_struct6.c.

## ◆ d [2/3]

unsigned long C::d

Definition at line 23 of file nested_struct9.c.

## ◆ d [3/3]

unsigned long long C::d

Definition at line 24 of file nested_struct10.c.

## ◆ e

unsigned char C::e

Definition at line 25 of file nested_struct10.c.

The documentation for this struct was generated from the following files:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct10.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct11.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct6.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct8.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct9.c